"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "tests/fatrace" between
fatrace-0.16.3.tar.gz and fatrace-0.17.0.tar.gz

About: fatrace (“file access trace”) reports file access events from all running processes.

fatrace  (fatrace-0.16.3):fatrace  (fatrace-0.17.0)
skipping to change at line 34 skipping to change at line 34
RC=0 RC=0
echo "checking log..." echo "checking log..."
check_log() { check_log() {
if ! grep -q "$1" $LOG; then if ! grep -q "$1" $LOG; then
echo "$1 not found in log" >&2 echo "$1 not found in log" >&2
((RC=RC+1)) ((RC=RC+1))
fi fi
} }
# accessing the "head" binary # accessing the "head" binary
check_log "RC\?O\? /usr/bin/head$" check_log "RC\?O\? \+/usr/bin/head$"
# head accessing /etc/passwd # head accessing /etc/passwd
check_log "RC\?O\? /etc/passwd$" check_log "RC\?O\? \+/etc/passwd$"
# file creation # file creation
check_log "^touch.* C\?W\?O $TEST_FILE" check_log "^touch.* C\?W\?O \+$TEST_FILE"
check_log "^touch.* C\?WO\? $TEST_FILE" check_log "^touch.* C\?WO\? \+$TEST_FILE"
check_log "^bash(.* C\?WO\? $TEST_FILE" check_log "^bash(.* C\?WO\? \+$TEST_FILE"
# file creation # file creation
check_log "^touch(.*): + $(dirname $TEST_FILE)$" check_log "^touch(.*): + $(dirname $TEST_FILE)$"
# file deletion # file deletion
check_log "^rm(.*): D $(dirname $TEST_FILE)" check_log "^rm(.*): D $(dirname $TEST_FILE)"
if [ $RC -ne 0 ]; then if [ $RC -ne 0 ]; then
echo "$RC checks failed -- log:" >&2 echo "$RC checks failed -- log:" >&2
echo "===================" >&2 echo "===================" >&2
cat $LOG >&2 cat $LOG >&2
echo "===================" >&2 echo "===================" >&2
fi fi
exit $RC exit $RC
 End of changes. 5 change blocks. 
7 lines changed or deleted 7 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)